Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface EntityNameResolver

All Known Implementing Classes:
  DynamicMapEntityTuplizer.BasicEntityNameResolver

    public interface EntityNameResolver

Contract for resolving an entity-name from a given entity instance.

Method Summary
`String` | `resolveEntityName(Object entity)` Given an entity instance, determine its entity-name.

Method Detail

### resolveEntityName

    String resolveEntityName(Object entity)

  Given an entity instance, determine its entity-name.

  Parameters:
    `entity` - The entity instance.
  Returns:
    The corresponding entity-name, or null if this impl does not know how to perform resolution for the given entity instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.